Subject: [IPFIX] RFC 6759 clarification question

From: Andrew Feren <[email-masked]>
Date: Fri, 14 Feb 2014 20:18:43 +0000

Hi IPFIX experts,

The discussion about how to encode boolean in draft-trammell-ipfix-text-adt got me thinking about some IEs from RFC 6759.

p2pTechnology(288), tunnelTechnology(289), and encryptedTechnology(290)

all specify possible values as '{ "yes", "y", 1 }, { "no", "n", 2 } and { "unassigned", "u", 0 }'.  It was not initially clear to me if the 0,1,and 2 were integer values or character values.  It was explained to me that that they are intended to be the integer values.

As I thought about this I wondered if "string" is really the right type for this?  True, all of the possible values can be represented as UTF-8, but this feels like an abuse of string type.  At least until now I had assumed that a string value was intended to be displayable, but this breaks that assumption.

Is my understanding of what string means flawed?

-Andrew

---

From: Brian Trammell <[email-masked]>
Date: Fri, 14 Feb 2014 21:44:46 +0100

Hi, Andrew,

I'd answer this question with RFC 7013 section 4.2 para 6 and section 4.9 para 4.

Cheers,

Brian

On 14 Feb 2014, at 21:18, Andrew Feren <[email-masked]> wrote:

> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix